extends CanvasLayer


@onready var menu = $Pause
func _ready() -> void:
	visible = true
	menu.visible = get_tree().paused
	
func _process(delta: float) -> void:
	if Input.is_action_just_pressed("pause"):
		get_tree().paused = !get_tree().paused
		menu.visible = get_tree().paused
	
